Subject: Two column content element does not render columns side by side
Description

The "Two column content" Element does not render the columns side by side.
They are just displayed one after another - like normal paragraphs.

PS: The rendering of that element was mentioned in an earlier bug:
http://forge.typo3.org/issues/38913http://forge.typo3.org/issues/38913]

History
#1 - 2013-12-25 00:38 - Rens Admiraal
- Status changed from New to Needs Feedback

Hey Chr, is this happening in the demo site or in your own site? As Neos does not set any css property for your frontend. This means that you should
add styling to your own website for rendering the columns side by side.

#2 - 2013-12-25 02:01 - Chr is

The rendering issue I described occurs in my own site and both in frontend and backend.

From my first encounter with the "Two column content" element I got the impression that it works OOTB (i.e. already shipped with the appropriate
CSS).

Did I miss a conceptual clue here?

#3 - 2014-10-01 19:41 - Jonas Renggli
- Status changed from Needs Feedback to Closed

Hey Chr is

By default Neos sets some classes to the elements, e.g. "columns-4-4-4". It's your turn to define some css styles for these classes.

If you're working with Twitter Bootstrap please have a look at the Demo Site Package https://git.typo3.org/Packages/NeosDemoTypo3Org.git provided
with the Base Distribution. There the multi columns work. And create code like

 1<div class="row typo3-neos-nodetypes-threecolumn">
 2    <div class="col-sm-4">
 3        <!-- column 1 -->
 4    </div>
 5    <div class="col-sm-4">
 6        <!-- column 2 -->
 7    </div>
 8    <div class="col-sm-4">
 9        <!-- column 3 -->
10    </div>
11</div>
